<?php
/**
 * Statistics for mod
 * Call of Duty MW Mod by Peyote (Final!)
 *		for Counter Strike
 *
 * Webdeveloper: R3X & SSB
 * Support: www.AMXX.pl
 * Please, do not add your footer.
 * Prosimy o niedodawanie własnej stopki (np. created by Stefan).
 * Designer: R3X (default) & SSB (blue)
 *
 * 1.4.1
 *      - poprawka z Read Failed
 *
 * 1.4.0
 *      - nowy Cod Mod
 * 1.31
 *	- config.php $password issue
 *	- last update time display
 * 1.3
 *	- extended config.php
 * 1.2
 * 	- added update.php file
 * 1.1
 *	- catching exceptions
 *  - new theme (blue)
 * 1.0
 *  - first release
 */

include("config.php");
 
define("TITLE", $tytul);
define("HEADER", $tytul_strony);

define("STATSFILE", "CodMod.vault");
define("TOPNUM",15);
define("NUM_PER_PAGE", 20);

//Paginator
define("PAGELINKS", 5);

//Filtering
define("FILTER_TOP", 0);
define("FILTER_ALL", 1);
define("FILTER_CLASS", 2);
define("FILTER_NAME", 3);

define("FILENAME","index.php");

class Classes{
	public static $names = array(
		"NONE",
		"Snajper",
		"Komandos",
		"Strzelec wyborowy",
		"Obronca",
		"Medyk",
		"Wsparcie ogniowe",
		"Saper",
		"Demolitions",
		"Rusher",
		"Rambo (Klasa Premium)"
	);
	public static function getName($id){
		if(isset(Classes::$names[$id]))
			return Classes::$names[$id];
		else
			return "Nienazwana";
	}
};
define("INTERVAL", 1);

if(!file_exists(STATSFILE) || ((filemtime(STATSFILE) + 60*INTERVAL) < time())){
	ob_start();
	include("update.php");
	ob_end_clean();	
}


include("themes/".$styl."/theme.php");
include("includes/nVault.reader.php");
include("includes/stats.php");

$stat = new Stats();

//Top
if (isset($_GET['strona']) && $_GET['strona'] == "top")
{
$filter = FILTER_TOP;
}
else
{
$filter = FILTER_ALL;
}



//Class
if(isset($_GET['klasa']) && isset(Classes::$names[$_GET['klasa']])){
	$filter = FILTER_CLASS;
	$stat->setFilter("-".Classes::getName($_GET['klasa'])."-");
}
//Nickname
else if(isset($_GET['user'])){
	$filter = FILTER_NAME;
	Stats::$filterMode = FILTER_MATCH;
	$stat->setFilter("/^".str_replace("/", "\/",quotemeta( $_GET['user']))."-(.*?)-([1-9]{1}|[0-9]{2})-cod$/i");
}

$stat->Load();

switch($filter){
	case FILTER_TOP:{
		$stat->listing(0, TOPNUM);
		break;
	}
	case FILTER_ALL:{
		$cnt = $stat->getLoadedNum();
		$pages = floor($cnt / NUM_PER_PAGE);
		if($cnt%NUM_PER_PAGE)
			++$pages;
		
		$page = 1;
		if(isset($_GET['page']) && is_numeric($_GET['page'])){
			$page = min($pages, $_GET['page']);
		}
		$stat->listing(NUM_PER_PAGE*($page-1), NUM_PER_PAGE, $page, $pages);
		
		printf("<h6>Za&#322;adowanych: %d</h6>", $cnt);
		break;
	}
	case FILTER_CLASS:{
		$cnt = $stat->getLoadedNum();
		$pages = floor($cnt / NUM_PER_PAGE);
		if($cnt%NUM_PER_PAGE)
			++$pages;
		
		$page = 1;
		if(isset($_GET['page']) && is_numeric($_GET['page'])){
			$page = min($pages, $_GET['page']);
		}
		$stat->listing(NUM_PER_PAGE*($page-1), NUM_PER_PAGE, $page, $pages);
		
		printf("<h6>Za&#322;adowanych: %d</h6>", $cnt);
		break;
	}
	case FILTER_NAME:{
		$stat->listing(0, TOPNUM);
		break;
	}
}
echo "<h5 style=\"font-style:italic\">Ostatnia aktualizacja: ".$stat->getUpdateTime()."</h5>";
Theme::HTML_Foot($stat);

?>