<?php
class Theme{
	/**
	 * HTML Section
	 */
	public static function HTML_PreListing(){
		?>
<!Doctype>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<meta name="robots" content="index, follow">
		<title><?php echo TITLE;?></title>

		<link rel="stylesheet" href="themes/<?php include("config.php"); echo $styl; ?>/style.css" type="text/css">

	</head>
<body>
	<div id="wrapper">
		<div id="container">
			<div class="panel wide" id="logo">
				<h1><?php echo HEADER;?></h1>
				<img src="images/class_over.png" alt="menubar_hover" style="display:none">
			</div>
		<?php
		echo "<div class=\"panel wide\" style=\"background:#0b46a0 url(images/class.png) repeat-x;\">";
		global $filter;
		echo "<a class=\"menubar\" href=\"".FILENAME."?strona=top\">Top".TOPNUM."</a>\n";
		echo "</div><div class=\"panel wide\" style=\"background:#0b46a0 url(images/class.png) repeat-x;\">";
		for($i=1;$i<count(Classes::$names);$i++){
			if($filter == FILTER_CLASS && $i == $_GET['klasa'])
				printf("<span class=\"menubar\" style=\"background-image:url(images/class_over.png)\"> %s</span>", Classes::getName($i));
			else
				printf(" <a class=\"menubar\" href=\"%s?klasa=%d\">%s</a>\n", FILENAME, $i, Classes::getName($i));
		}
		echo "</div>";
	
		echo "<div class=\"panel wide\">";
		printf("<div style=\"margin-top:20px;margin-left:20px;\">Wpisz swj nick: <form><input name=\"user\" type=\"text\" value=\"%s\"><input type=\"submit\" value=\"Szukaj\"></form></div>", isset($_GET['user'])?$_GET['user']:"");
		echo "</div>";
	
		echo "<div class=\"panel wide\" id=\"main\" cellpadding=0 cellspacing=0>";
		printf("\n<table id=\"stats\">\n");
		printf("\t<thead><tr>\n");
		printf("\t\t<td>lp</td><td class=\"nick\">Nick</td><td class=\"klasa\">Klasa</td><td>Poziom</td><td class=\"xp\">XP</td>\n");
		printf("\t</thead></tr><tbody>\n");
	}
	public static function HTML_Item($lp, $key, $value){
		printf("\t<tr>");
		printf("<td>%3d</td><td><a href=\"?user=%s\">%32s</td><td>%20s</td><td>%4d</td><td>%10d</td>", $lp,$key[0],$key[0], Classes::getName($key[1]), $value[1], $value[0]);
		printf("</tr>\n");
	}
	public static function HTML_PostListing(){
		printf("\t</tbody>\n</table>");
	}
	public static function HTML_Paginator($page, $max){
		if($page && $max > 1){
			$start = $page;
			$bound = floor(PAGELINKS/2);
			$start -= $bound;
			if($page+$bound >= $max){
				$start = $max-PAGELINKS+1;
			}
			if($start < 1)
				$start = 1;
			for($i=$start;$i<$start+PAGELINKS;$i++){
				if($i > $max) break;
				if($i == $page)
					printf(" %d", $page);
				elseif(!$_GET['klasa'])
					printf(" <a href=\"?page=%d\">%d</a>", $i, $i);
				else
					printf(" <a href=\"?klasa=%d&page=%d\">%d</a>", $_GET['klasa'], $i, $i);
			}
		}
	}
	public static function HTML_Foot($stat){
		echo "</div><div class=\"panel wide\">";
		$rtime = $stat->getReadTime();
		printf(" <h6>&nbsp;&nbsp;Czas odczytu: %.3f</h6>",$rtime);
		echo "</div></div></div></body></html>";
	}
};
?>